Subject: Re: [lojban] Programming Languages for Lojban

From: Rob Speer <[email-masked]>
Date: Mon, 11 Mar 2002 23:04:40 -0500

On Mon, Mar 11, 2002 at 06:22:00PM +0000, Robert J. Chassell wrote:
> I am looking forward to your write ups about turning Lojban into a
> humanly speakable programming language. What is involved in making
> type checking optional? (The Lojban grammar makes it so, since you
> have a choice of including or not including a restrictive clause,
> i.e., one that tells you the type of the argument.) Under which
> circumstances will people prefer to use an imperative format, in which
> the computer is a robot that responds to orders, or prefer a format in
> which the computer answers questions?

If you look at my wiki entry [samtrosku specification], you'll see one
idea for instructing a computer in Lojban. This is a procedural
language, definitely has some rough spots, and perhaps doesn't match up
with Lojban as well as Prolog or Lisp would - but then, I don't know
what Prolog is like, or how lisp expressions would map to Lojban.

-- 
Rob Speer